<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_f.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_f"></a>- f -</h3><ul>
<li>featureID
: <a class="el" href="structident__type.html#aedc0c975bbd5c35d060577c6a06c48cd">ident_type</a>
</li>
<li>fieldname
: <a class="el" href="struct_type_properties.html#a706aadb979459874191d732c6615252a">TypeProperties</a>
</li>
<li>fieldname_vec
: <a class="el" href="struct_type_properties.html#aca0ec11f4db2c1765fbe9c5462d8a065">TypeProperties</a>
</li>
<li>fieldtype
: <a class="el" href="struct_type_properties.html#aa89021df483ad04f78d9439b21c663da">TypeProperties</a>
</li>
<li>filename
: <a class="el" href="struct_pos_as_string.html#a5a8c2f9c0577503fac464437d1f6cc17">PosAsString</a>
</li>
<li>filepath
: <a class="el" href="struct_source_code_snippet.html#a97c657ba0fe7f53c25531f54e6bbe4fb">SourceCodeSnippet</a>
</li>
<li>finalIndex
: <a class="el" href="struct_index_pair_type.html#a435567932d1a7eaeb1fcf84f98e2f6ae">IndexPairType</a>
</li>
<li>FuncDeclBltInID
: <a class="el" href="struct_function_decl_properties.html#a3e664b42368a01847b406564202c7135">FunctionDeclProperties</a>
</li>
<li>FuncDeclBody
: <a class="el" href="struct_function_decl_properties.html#abd0ffdb2e9e4d0f698ff7e3d26cd1fb6">FunctionDeclProperties</a>
</li>
<li>FuncDeclCallResType
: <a class="el" href="struct_function_decl_properties.html#ae21012e6825f9867e0ffd38f548fbb3e">FunctionDeclProperties</a>
</li>
<li>FuncDeclDefinition
: <a class="el" href="struct_function_decl_properties.html#a906e1b2adab4cb3ea73f4e14aa3d7257">FunctionDeclProperties</a>
</li>
<li>FuncDeclgetCanDecl
: <a class="el" href="struct_function_decl_properties.html#aba7268fb3f1306ee77953ab0a5aceb2e">FunctionDeclProperties</a>
</li>
<li>FuncDeclHasBody
: <a class="el" href="struct_function_decl_properties.html#ac28fc9987328307801c399336f0d9217">FunctionDeclProperties</a>
</li>
<li>FuncDeclhasImplZeroRet
: <a class="el" href="struct_function_decl_properties.html#a9f99c4bd6152303c9652addb1956c2e5">FunctionDeclProperties</a>
</li>
<li>FuncDeclhasInheritProto
: <a class="el" href="struct_function_decl_properties.html#a9f1272e791a997de3976a4f73899c6e8">FunctionDeclProperties</a>
</li>
<li>FuncDeclhasProto
: <a class="el" href="struct_function_decl_properties.html#a4a7d0f9d9feb16d3a811f5fe9794891a">FunctionDeclProperties</a>
</li>
<li>FuncDeclHasTrivialBody
: <a class="el" href="struct_function_decl_properties.html#a327a2fb435b7ce40ad215404c819c2fa">FunctionDeclProperties</a>
</li>
<li>FuncDeclhasWritProto
: <a class="el" href="struct_function_decl_properties.html#af398a0e2d0c7a79aabce51b87c5892a8">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsConstExpr
: <a class="el" href="struct_function_decl_properties.html#abc2bb63e2e30e4e5ed4de575bfcdda48">FunctionDeclProperties</a>
</li>
<li>FuncDeclisDeclADef
: <a class="el" href="struct_function_decl_properties.html#a6418362ffa9830cc146d5d3edaed7be7">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsDefaulted
: <a class="el" href="struct_function_decl_properties.html#a1a81dea87d19a1ece614968439172721">FunctionDeclProperties</a>
</li>
<li>FuncDeclisDefined
: <a class="el" href="struct_function_decl_properties.html#a77fb7ae5085e54c20d10166aabc32881">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsExplDefaulted
: <a class="el" href="struct_function_decl_properties.html#a9f625746c906d1105f3a362153f02cab">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsGlobal
: <a class="el" href="struct_function_decl_properties.html#a23fba2a246d72d997b7be07362a07f8e">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsInlined
: <a class="el" href="struct_function_decl_properties.html#a806d72b8d8ef42b9e27bfdb2c6c1b029">FunctionDeclProperties</a>
</li>
<li>FuncDeclisInlineSpec
: <a class="el" href="struct_function_decl_properties.html#afaf03c8e1b3783b2bb320398929c8bbe">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsMain
: <a class="el" href="struct_function_decl_properties.html#a8d684fc813cdb6fc69037ab4e6da5dfd">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsNoReturn
: <a class="el" href="struct_function_decl_properties.html#a327b4b4f80f7e913b0a1a73dc51047d1">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsPure
: <a class="el" href="struct_function_decl_properties.html#a2698ced3ad1b7c7eab8dbba89fe187ff">FunctionDeclProperties</a>
</li>
<li>FuncDeclIsTrivial
: <a class="el" href="struct_function_decl_properties.html#a4f1c0bee2bdd003906292531ef47071e">FunctionDeclProperties</a>
</li>
<li>FuncDeclisVariadic
: <a class="el" href="struct_function_decl_properties.html#a185bc6ecb2ea6977ef773a91617d5c35">FunctionDeclProperties</a>
</li>
<li>FuncDeclLanguage
: <a class="el" href="struct_function_decl_properties.html#a234ad376753024e5e17c407b493af53a">FunctionDeclProperties</a>
</li>
<li>FuncDeclLiteralID
: <a class="el" href="struct_function_decl_properties.html#a7ff9fa577ff805a634d3a029b1910bb5">FunctionDeclProperties</a>
</li>
<li>FuncDeclMinReqArgs
: <a class="el" href="struct_function_decl_properties.html#a0874ea268c477fc80d5a585c64f71bec">FunctionDeclProperties</a>
</li>
<li>FuncDeclName
: <a class="el" href="struct_function_decl_properties.html#a74b3c697cb85a612178bec45dc23f1ca">FunctionDeclProperties</a>
</li>
<li>FuncDeclNumParam
: <a class="el" href="struct_function_decl_properties.html#a3d314bc84de946aefeaa2461c36327d1">FunctionDeclProperties</a>
</li>
<li>FuncDeclPosition
: <a class="el" href="struct_function_decl_properties.html#a4f60da83122ee24865dff0f117d219ff">FunctionDeclProperties</a>
</li>
<li>FuncDeclProperties_scalar
: <a class="el" href="struct_sub_level_properties.html#ac8f09161a1d5e23d9cb2a308bca7274b">SubLevelProperties</a>
</li>
<li>FuncDeclRetType
: <a class="el" href="struct_function_decl_properties.html#ad5eca3f4a53a07fb3711251ae1027ad2">FunctionDeclProperties</a>
</li>
<li>FuncDeclRetTypSrcRng
: <a class="el" href="struct_function_decl_properties.html#a6c75c72bdadbbbeaf7507291894c10ea">FunctionDeclProperties</a>
</li>
<li>FuncDeclSrcRng
: <a class="el" href="struct_function_decl_properties.html#a3168554f6873db437bd547d4c4f24016">FunctionDeclProperties</a>
</li>
<li>FuncDeclStoreClass
: <a class="el" href="struct_function_decl_properties.html#abec748d175b43b77931b362f4657e62d">FunctionDeclProperties</a>
</li>
<li>FuncDeclThisHasABody
: <a class="el" href="struct_function_decl_properties.html#ad77b729330178bf2e9bd5209715a42ba">FunctionDeclProperties</a>
</li>
<li>FuncDelcIsTrivialForCall
: <a class="el" href="struct_function_decl_properties.html#a780b27b3b29b7b8fcfa8ed269fdc2e9c">FunctionDeclProperties</a>
</li>
<li>FuncMacroExpAtASTNodeBegin
: <a class="el" href="struct_text_pos_analysis.html#a3dc8fe113f144454dc85fd38b5729326">TextPosAnalysis</a>
</li>
<li>FuncMacroExpAtASTNodeEnd
: <a class="el" href="struct_text_pos_analysis.html#a35f0707e72d92420dae13d002943849f">TextPosAnalysis</a>
</li>
<li>FuncName
: <a class="el" href="struct_binary_op_properties.html#ac975bdd8407c509fae99646f4a2dbf04">BinaryOpProperties</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
